[package]
name = "opec"
version = "0.1.0"
edition = "2021"
description = "OxPulse Partner Edge Controller — tenant control plane (sub-phase 4.0)"

[lib]
name = "opec"
path = "src/lib.rs"

[[bin]]
name = "opec"
path = "src/main.rs"

[dependencies]
clap = { version = "4", features = ["derive"] }
serde = { version = "1", features = ["derive"] }
serde_yml = "0.0.12"
serde_json = "1"
regex = "1"
anyhow = "1"
thiserror = "1"
once_cell = "1"
tempfile = "3"
uuid = { version = "1", features = ["v4"] }
ureq = { version = "2", default-features = false, features = ["tls"] }
base64 = "0.22"
x25519-dalek = { version = "2", features = ["static_secrets"] }
zeroize = "1"
rand = "0.8"

[dev-dependencies]
assert_cmd = "2"
serial_test = "3"
predicates = "3"
mockito = "1"
